Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-12-2021 19:38:50

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

[Résolu] problème de récupération de paquet

Bonjour,
je souhaiterais récupérer un paquet antique:
deb http://ftp.fr.debian.org/debian/ wheezy main
C'est sur une Debian 10 i386, j'ai modifié le sources.list et apt update...
Mais on m'informe que ce paquet n'est plus supporté.
Est-ce qu'il existe une solution ?
Merci pour vos réponses

Dernière modification par gargamel79 (27-12-2021 17:01:50)

Hors ligne

#2 09-12-2021 20:11:01

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-10-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] problème de récupération de paquet

Hello,

Et si tu disais pourquoi tu as tant besoin d'un paquet de Wheezy.
Il y a peut-être un moyen de contourner ou faire autrement.
Quel est ton besoin ?

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#3 09-12-2021 20:17:56

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] problème de récupération de paquet

Hello,

Déjà, quel paquet veux-tu installer ?

Peux-tu nous faire voir ton sources.list ?

Dernière modification par Jean-Pierre Pinson (09-12-2021 20:19:56)


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#4 11-12-2021 12:48:13

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

Re : [Résolu] problème de récupération de paquet

Merci pour vos réponses.
Ce dont j'ai besoin ce sont gcc-4.4 et c++-4.4
Mais je sens que cela ne va pas être simple...

Hors ligne

#5 11-12-2021 12:51:16

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-10-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] problème de récupération de paquet

Tu n'expliques pas pourquoi tu en as besoin, les versions supérieures ne sont pas compatibles ?
Expose ton souci ...

Sinon, peut-être par là : ftp://ftp.irisa.fr/pub/mirrors/gcc.gnu.org/gcc/
Edit : Mais il faut compiler ...

Dernière modification par Tawal (11-12-2021 13:12:46)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#6 11-12-2021 13:12:50

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] problème de récupération de paquet

Les dépôts de wheezy sont archivés sur archive.debian.org et ne sont plus disponibles sur les miroirs normaux.
Par ailleurs les clés de signature de ces dépôts sont probablement périmées, ce qui va poser problème à apt.
Pour finir, les conflits de dépendances risquent d'empêcher d'installer ces paquets sur buster.

Il vaut mieux montrer que raconter.

En ligne

#7 11-12-2021 18:02:51

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

Re : [Résolu] problème de récupération de paquet

Merci pour ta réponse.
Pour ce qui est des dépendances j'avais déjà fait la manip. au début de la sortie de Buster et cela étais OK; les dépôts de wheezy
deb http://ftp.fr.debian.org/debian/ wheezy main
étaient encore disponibles. Je suis allé sur
https://www.debian.org/releases/wheezy/
Mais là je ne vois pas comment procéder...

Hors ligne

#8 11-12-2021 18:50:19

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] problème de récupération de paquet

Qu'est-ce qui n'est pas clair dans "Les dépôts de wheezy sont archivés sur archive.debian.org" ?
Tu ajoutes

deb http://archive.debian.org/debian wheezy main


Il vaut mieux montrer que raconter.

En ligne

#9 11-12-2021 20:09:53

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

Re : [Résolu] problème de récupération de paquet

J'ai effectivement un problème pour récupérer la clé
La méthode que j'utilise habituellement ne fonctionne pas, pour aucune des NO_PUBKEY mentionnées  dans le message d'erreur
# gpg --recv-key <clé>
# gpg --export --armor <clé> | apt-key add -

Merci pour ton aide
Modification de mon post
***************************************************
voici le message d'erreur
W: Erreur de GPG : http://archive.debian.org/debian wheezy Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY 6FB2A1C265FFB764
E: Le dépôt http://archive.debian.org/debian wheezy Release n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
----------------------------------------
le man apt-secure donne les infos suivantes:
L'erreur peut être contournée par le réglage supplémentaire de
Acquire::AllowDowngradeToInsecureRepositories à true, ou, pour des dépôts
individuels avec l'option allow-downgrade-to-insecure=yes de sources.list(5).

le man sources.list indique:
Trusted (trusted) comporte trois valeurs d'état qui définissent par défaut si APT décide de considérer une source comme sûre

Mon problème est que je ne sais pas insérer ces options, au bon endroit, dans mon sources.list

Dernière modification par gargamel79 (12-12-2021 11:35:30)

Hors ligne

#10 27-12-2021 17:00:55

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

Re : [Résolu] problème de récupération de paquet

Je vais essayer d'être synthétique et d'expliquer pourquoi je passe en Résolu et
pourquoi j'ai besoin des dits paquets.

Je précise que
. j'ai mis en commentaire dans

/etc/apt/sources.list

toutes les lignes sauf

 deb http://archive.debian.org/debian wheezy main


. je travaille sur une station avec plusieurs OS; celle sur laquelle je fais ces manips.
   est une Debian 10 32 bits spécialement dédiée à ce qui suit...
. ATTENTION ces manips ne sont pas sans danger !!! 

Voici ce que j'ai fait, en root, création du fichier:

 # vi /etc/apt/apt.conf.d/99allow_unauth



Avec les lignes:


Acquire::AllowInsecureRepositories "true";

APT { Get { AllowUnauthenticated "1"; }; };



Maintenant la commande:

# apt-get update



est prise en compte

#apt-get install gcc-4.4



est OK

Mais

#apt-get install gcc-4.4



retourne, il fallait s'attendre:

Les paquets suivants contiennent des dépendances non satisfaites :
 g++-4.4 : Dépend: libstdc++6-4.4-dev (= 4.4.7-2) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».



-------------------------
J'avais un projet, largement inspiré de SOS (Simple Operating System) paru dans des articles de
Linux Magazine France. Voir http://sos.enix.org/fr/PagePrincipale .Le site existe toujours...
Le problème est que la compilation avec des versions de gcc postérieures à gcc-4.4 me donne
un "overlay" sur la mémoire. Jusqu'à présent je m'en sortais avec dans /etc/apt/sources.list

deb http://ftp.fr.debian.org/debian/ wheezy main  


Que je passais ensuite en commentaire, une fois les paquets récupérés...
Mais cela ne marche plus. Dommage; mais il faut savoir tourner la page.

Hors ligne

Pied de page des forums